# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::LinearInterpolatorFloat Class Reference

Interpolates `float` values using a LinearInterpolator. More...

`#include <LinearInterpolator.hpp>`

Inheritance diagram for vl::LinearInterpolatorFloat:

List of all members.

## Public Member Functions

| LinearInterpolatorFloat ()
| LinearInterpolatorFloat (const std::vector< float > &path)
float | computePoint (float t) const
| Samples the interpolator at the given point.
LinearInterpolatorFloat_T * | interpolator ()
const LinearInterpolatorFloat_T * | interpolator () const
void | setInterpolator (LinearInterpolatorFloat_T *interpolator)

## Protected Attributes

ref< LinearInterpolatorFloat_T > | mInterpolator

## Detailed Description

Interpolates `float` values using a LinearInterpolator.

Definition at line 138 of file LinearInterpolator.hpp.

## Constructor & Destructor Documentation

vl::LinearInterpolatorFloat::LinearInterpolatorFloat | ( | ) | `[inline]`

Definition at line 142 of file LinearInterpolator.hpp.

vl::LinearInterpolatorFloat::LinearInterpolatorFloat | ( | const std::vector< float > & | path ) | `[inline]`

Definition at line 143 of file LinearInterpolator.hpp.

## Member Function Documentation

float vl::LinearInterpolatorFloat::computePoint | ( | float | t ) | const`[inline, virtual]`

Samples the interpolator at the given point.

Implements vl::InterpolatorFloat.

Definition at line 144 of file LinearInterpolator.hpp.

References vl::LinearInterpolator< T >::computePoint(), and interpolator().

LinearInterpolatorFloat_T* vl::LinearInterpolatorFloat::interpolator | ( | ) | `[inline]`

Definition at line 145 of file LinearInterpolator.hpp.

References vl::ref< T >::get(), and mInterpolator.

Referenced by computePoint(), and setInterpolator().

const LinearInterpolatorFloat_T* vl::LinearInterpolatorFloat::interpolator | ( | ) | const`[inline]`

Definition at line 146 of file LinearInterpolator.hpp.

References vl::ref< T >::get(), and mInterpolator.

void vl::LinearInterpolatorFloat::setInterpolator | ( | LinearInterpolatorFloat_T * | interpolator ) | `[inline]`

Definition at line 147 of file LinearInterpolator.hpp.

References interpolator(), and mInterpolator.

## Member Data Documentation

ref<LinearInterpolatorFloat_T> vl::LinearInterpolatorFloat::mInterpolator`[protected]`

Definition at line 149 of file LinearInterpolator.hpp.

Referenced by interpolator(), and setInterpolator().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/LinearInterpolator.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:07.
Permission is granted to use this page to write and publish articles regarding Visualization Library.